import { Comms } from "../../comms/comms";
import { Setup } from "./Setup";
import { ReadiumWindow } from "../../helpers/dom";
export declare class ReflowableSetup extends Setup {
    static readonly moduleName = "reflowable_setup";
    onViewportWidthChanged(event: Event): void;
    mount(wnd: ReadiumWindow, comms: Comms): boolean;
    unmount(wnd: ReadiumWindow, comms: Comms): boolean;
}
